Package org.opensaml.messaging.context.navigate

# Interface ContextDataLookupFunction<F extends BaseContext,T>

Type Parameters:
  `F` - type of the context from which data will be extracted
  `T` - type of data returned by the function

All Superinterfaces:
  `Function<F,T>`

All Known Implementing Classes:
  `AttributeConsumerServiceLookupFunction`, `CheckAndRecordServerTLSEntityAuthenticationtHandler.DefaultHttpClientContextLookup`, `ChildContextLookup`, `EntityDescriptorLookupFunction`, `InboundMessageContextLookup`, `MessageContextLookup`, `MessageLookup`, `OperationContextEntityIDLookup`, `OutboundMessageContextLookup`, `ParentContextLookup`, `ParentProfileRequestContextLookup`, `ProfileIdLookup`, `RecursiveTypedChildContextLookup`, `RecursiveTypedParentContextLookup`, `RootContextLookup`, `SAMLBindingContextBindingFunction`, `SAMLEntityIDFunction`, `SAMLMessageInfoContextIDFunction`, `SAMLMessageInfoContextIssueInstantFunction`, `SAMLProtocolContextProtocolFunction`, `SOAPClientSecurityProfileIdLookupFunction`

public interface ContextDataLookupFunction<F extends BaseContext,T> extends Function<F,T>
A `Function` that is used to navigate a `BaseContext` tree and extract data from it.

## Method Summary

### Methods inherited from interface java.util.function.Function

`andThen, apply, compose`